import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { AppointmentFileCreateManyAppointmentInputObjectSchema as AppointmentFileCreateManyAppointmentInputObjectSchema } from './AppointmentFileCreateManyAppointmentInput.schema'

const makeSchema = () => z.object({
  data: z.union([z.lazy(() => AppointmentFileCreateManyAppointmentInputObjectSchema), z.lazy(() => AppointmentFileCreateManyAppointmentInputObjectSchema).array()]),
  skipDuplicates: z.boolean().optional()
}).strict();
export const AppointmentFileCreateManyAppointmentInputEnvelopeObjectSchema: z.ZodType<Prisma.AppointmentFileCreateManyAppointmentInputEnvelope> = makeSchema() as unknown as z.ZodType<Prisma.AppointmentFileCreateManyAppointmentInputEnvelope>;
export const AppointmentFileCreateManyAppointmentInputEnvelopeObjectZodSchema = makeSchema();
